imports:
  - { resource: "EXT:drbeckmann_setup/Configuration/Routes/Default.yaml" }
  - { resource: "EXT:drbeckmann_products/Configuration/Routes/Default.yaml" }
  - { resource: "EXT:drbeckmann_api/Configuration/Routes/Default.yaml" }
rootPageId: 1
base: 'https://www.dr-beckmann.com/'
baseVariants:
  -
    base: 'https://qa.dr-beckmann.com/'
    condition: 'applicationContext == "Production/Integration"'
  -
    base: 'https://dev.dr-beckmann.com/'
    condition: 'applicationContext == "Development/Test"'
  -
    base: '%env(SITE_CONFIG_BASE_URL)%/'
    condition: 'applicationContext == "%env(SITE_CONFIG_APPLICATION_CONTEXT)%"'

languages:
  -
    title: English
    enabled: true
    languageId: '0'
    base: /
    typo3Language: default
    locale: en_GB.utf8
    navigationTitle: English
    hreflang: en-GB
    direction: ltr
    flag: global
    fallbackType: strict
errorHandling:
  -
    errorCode: '404'
    errorHandler: Page
    errorContentSource: 't3://page?uid=21'
routeEnhancers:
  ProductDetail:
    limitToPages: [6]
    aspects:
      product:
        routeFieldPid: 3
